Bug 110994 - SSL Certificate fails with passphrase including spaces
SSL Certificate fails with passphrase including spaces
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Installer (Show other bugs)
i386 Linux
high Severity high
: ---
: ---
Assigned To: Todd Warner
Fanny Augustin
Depends On:
Blocks: 113026
  Show dependency treegraph
Reported: 2003-11-26 08:10 EST by Nick Strugnell
Modified: 2007-08-06 11:52 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-10-25 22:45:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Nick Strugnell 2003-11-26 08:10:31 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030922

Description of problem:
The installer prompts for information to generate an SSL certificate
however this fails if the passphrase specified contains spaces,
presumably due to poor quoting in the code.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Run satellite installer
2. When key generation screen appears, enter a passphrase including
spaces in the first field.

Actual Results:  Installer does not display success dialogue. Log
indicated failure. Trace indicates useage message from 'openssl
genrsa' has displayed, indicating incorrect useage. Certificate RPM
not generated.

Expected Results:  SSL certificate RPM generated.

Additional info:

Workaround: don't use spaces in passwords.
Comment 1 Todd Warner 2003-11-26 12:45:39 EST
Mihai has a handle on this... it affects sign.sh as well...

Bumping it's priority as well.
Comment 2 Mihai Ibanescu 2003-12-02 18:33:34 EST
Should be fixed in HEAD.
Comment 3 Josef Komenda 2004-02-20 14:14:53 EST
Doesn't lok like this got in the latest - rhn-satellite-3.1.5-5

Traceback (innermost last):
  File "/usr/lib/python1.5/site-packages/libglade.py", line 28, in
    ret = apply(self.func, a)
  File "gui.py", line 1492, in onSslCertInfoPageNext
    self.__error(_("ERROR: the password contains an invalid character:
TypeError: not all arguments converted

Comment 4 Mihai Ibanescu 2004-02-24 15:01:27 EST
Todd says this has been fixed in HEAD. Will build newer satellite ISOs.
Comment 5 Todd Warner 2004-10-25 22:44:14 EDT
Fixed a long... long time ago. Just need to verify.
Comment 6 Todd Warner 2004-10-25 22:45:02 EDT
Oops... nevermind. It's fixed. Closing.

Note You need to log in before you can comment on or make changes to this bug.